%define oldname xmms-musepack
%define stage RC1
%set_verify_elf_method unresolved=relaxed

Name: xmms-in-musepack
Version: 1.2
Release: alt2

Summary: Musepack input plugin for XMMS
License: distributable
Group: Sound

Url: http://www.musepack.net
Source0: http://files2.musepack.net/linux/plugins/%oldname-%version.tar.bz2
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

Obsoletes: %oldname
Provides: %oldname = %version

# Automatically added by buildreq on Sun Jun 19 2005
BuildRequires: gcc-c++ glib-devel gtk+-devel libmpcdec-devel libstdc++-devel
BuildRequires: libtag-devel libxmms-devel pkg-config

%description
This is an input plugin for XMMS which can play Musepack (.mpc, .mp+) files.

%prep
%setup -q -n %oldname-%version

%build
%configure
export CXXFLAGS="%optflags %optflags_shared"
%make_build

%install
%makeinstall
mkdir -p %buildroot%_libdir/xmms/Input
install -p %buildroot%_libdir/lib*.so %buildroot%_libdir/xmms/Input

%files
%doc ChangeLog COPYING INSTALL
%_libdir/xmms/Input/*

%changelog
* Tue Jun 27 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.2-alt2
- 1.2 release
- Build with unresolved=relaxed
- Change Packager

* Sat Jun 19 2005 LAKostis <lakostis at altlinux.ru> 1.2-alt1.RC1
- NMU release.
- now use libmpcdec and libtag.

* Mon Feb 09 2004 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt2
- Fixed text relocation by exporting CFLAGS.
- Removed annoying popup messages on errors.
- Removed patch for recode since corresponding patch was removed from xmms.
- Renamed to support new naming scheme.

* Fri Mar 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt1
- First build for Sisyphus.
